Community
cancel
Showing results for 
Search instead for 
Did you mean: 
lin__chia_hao
Beginner
204 Views

python 2.7 support for OpenVino Version 2020.2

Python 2.7 support is still listed on the document, but after install, I only find python3+ directories under python/

Is Python 2.7 support dropped from this version or it will still be supported in the future?

----

Edit: I don't know why this is moved from openvino to here, but hopefully I can get some info here 
 

0 Kudos
3 Replies
Munesh_Intel
Moderator
204 Views

Hi Jotarun,

Python 2.7 is among the supported versions of Inference Engine Python API on Ubuntu 16.04 and 18.04 OSes.

More information is available at the following page:

https://docs.openvinotoolkit.org/2020.3/_inference_engine_ie_bridges_python_docs_api_overview.html#s...

 

As for your query regarding future support, regrettably, we are unable to comment on that. We apologize for any inconvenience caused.

 

Regards,

Munesh.

lin__chia_hao
Beginner
204 Views

Hi Munesh,
Thanks for your reply.
I understand you can't comment about future plan,
But my main problem is that 2.7 is not working with 2020.2 right now, although listed in the document.
in 2020.1, there is a 2.7 directory under python/ which are the codes support 2.7,
that is not available in 2020.2

Munesh_Intel
Moderator
204 Views

Hi Chia Hao,

I would suggest you use OpenVINO version 2020.1 if you want to continue using Python 2.7 since it was working for you.

More information regarding the required software components for Intel® Distribution of OpenVINO™ toolkit is available at the following link under the section 'Additional Software Requirements'.

https://www.intel.com/content/www/us/en/develop/tools/openvino-toolkit/system-requirements.html

 

Regards,

Munesh

Reply